<template>
  <div class="user-gallery-button-add-on">
    <i class="bi bi-images me-2"></i>
    <router-link :to="route">{{ buttonText }}</router-link>
  </div>
</template>

<script>
import { computed } from 'vue'

export default {
  name: 'UserGalleryButtonAddOn',
  props: {
    user: { type: Object, required: true },
  },
  setup(props) {
    const route = computed(() => {
      return props.user ? { name: 'gallery-albums', params: { username: props.user.username } } : null
    })

    const buttonText = computed(() => {
      return `${props.user.username}'s Gallery`
    })

    return {
      route,
      buttonText,
    }
  },
}
</script>
